Error Generator: Is there any API available on Linux?

High-speed USB 2.0 to CAN/LIN Interface
Post Reply
arnabd
Posts: 2
Joined: Fri 18. Aug 2017, 12:03

Error Generator: Is there any API available on Linux?

Post by arnabd » Fri 18. Aug 2017, 12:14

I'm using PCAN-USB Pro FD. Error Generator is available on PCAN-View on Windows. Is it available on Linux in form of API?

User avatar
U.Wilhelm
Sales & Support
Sales & Support
Posts: 1130
Joined: Fri 10. Sep 2010, 19:34

Re: Error Generator: Is there any API available on Linux?

Post by U.Wilhelm » Fri 18. Aug 2017, 16:40

Sorry, but this feature is only available on Windows at the moment.
--------------------------------
PEAK-System Technik
Technical Support Team
support@peak-system.com
-------------------------------

arnabd
Posts: 2
Joined: Fri 18. Aug 2017, 12:03

Re: Error Generator: Is there any API available on Linux?

Post by arnabd » Tue 5. Sep 2017, 13:33

Hi U.Wilhelm,
We are using PCAN-USB Pro tool with socketCan.
We need the "Error Generator" feature (preferably in API form) in Linux for test automation.
Can you please take a request to enable this feature in Linux?
Can you suggest any workaround on Linux platform?

User avatar
U.Wilhelm
Sales & Support
Sales & Support
Posts: 1130
Joined: Fri 10. Sep 2010, 19:34

Re: Error Generator: Is there any API available on Linux?

Post by U.Wilhelm » Tue 5. Sep 2017, 14:07

As i wrote - the Linux CAN drivers(s)does not support the error generating.
In our CAN Driver (CharDev) we are planning to implement the feature in the future
(in our PCAN-View for LINUX) but the SocketCAN (NetDev) is supported by PEAK-System Hardware but the mainline driver with all features comes from the community. Contact SocketCAN community if they support such a feature in the API. If they do not, we could also not implement without be incompatible to SocketCAN.
--------------------------------
PEAK-System Technik
Technical Support Team
support@peak-system.com
-------------------------------

Post Reply